/*
 SimpleJournal: An example LiveJournal client written using LJKit.
 This program and its source code are placed in the public domain.
 */

#import <Cocoa/Cocoa.h>
#import <LJKit/LJKit.h>
#import "SimpleJournal.h"

@class Groups;

@interface Friends : NSObject
{
    IBOutlet SimpleJournal *controller;
    IBOutlet Groups *groups;
    IBOutlet NSTableView *tableView;
    IBOutlet NSColorWell *bgColorWell;
    IBOutlet NSColorWell *fgColorWell;
    IBOutlet NSTextField *fullNameField;
    IBOutlet NSTextField *birthDateField;
    IBOutlet NSTextField *statusField;
    IBOutlet NSTextField *typeField;
    IBOutlet NSWindow *window;
    IBOutlet NSPanel *newFriendPanel;
    IBOutlet NSTextField *newFriendUsernameField;
    
    NSArray *friendArray;
}
- (LJFriend *)selectedFriend;
- (LJFriend *)friendAtIndex:(int)index;
- (void)reload;
- (void)addFriendWithUsername:(NSString *)username;
- (void)removeSelectedFriends;
- (void)updateFriendDetails;
- (IBAction)changeBackgroundColor:(id)sender;
- (IBAction)changeForegroundColor:(id)sender;
- (IBAction)beginNewFriend:(id)sender;
- (IBAction)endNewFriend:(id)sender;
- (IBAction)removeFriend:(id)sender;
@end
