/*
 SimpleJournal: An example LiveJournal client written using LJKit.
 This program and its source code are placed in the public domain.
 */

#import <Cocoa/Cocoa.h>
#import <LJKit/LJKit.h>

@interface SimpleJournal : NSObject
{
    IBOutlet NSTextField *dateField;
    IBOutlet NSTextView *entryTextView;
    IBOutlet NSTextField *hostField;
    IBOutlet NSPopUpButton *journalPopUp;
    IBOutlet NSPanel *loginPanel;
    IBOutlet NSWindow *mainWindow;
    IBOutlet NSTextField *passwordField;
    IBOutlet NSTextField *subjectField;
    IBOutlet NSTextField *usernameField;
    IBOutlet NSMenuItem *webMenuItem;
    IBOutlet NSMenu *notLoggedInMenu;

    LJAccount *account;
    LJEntry *entry;
    BOOL loggingIn;
}
- (IBAction)beginLogin:(id)sender;
- (IBAction)endLogin:(id)sender;
- (IBAction)logout:(id)sender;
- (IBAction)newEntry:(id)sender;
- (IBAction)openMostRecentEntry:(id)sender;
- (IBAction)removeEntry:(id)sender;
- (IBAction)saveEntry:(id)sender;
- (IBAction)terminateApplication:(id)sender;
- (LJAccount *)account;
@end
